<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Insert_Refuelings StructType
 * @subpackage Structs
 */
class Insert_Refuelings extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The Refuelings
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfRefueling
     */
    public $Refuelings;
    /**
     * Constructor method for Insert_Refuelings
     * @uses Insert_Refuelings::setLogin()
     * @uses Insert_Refuelings::setRefuelings()
     * @param \StructType\Login $login
     * @param \ArrayType\ArrayOfRefueling $refuelings
     */
    public function __construct(\StructType\Login $login = null, \ArrayType\ArrayOfRefueling $refuelings = null)
    {
        $this
            ->setLogin($login)
            ->setRefuelings($refuelings);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Insert_Refuelings
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get Refuelings value
     * @return \ArrayType\ArrayOfRefueling|null
     */
    public function getRefuelings()
    {
        return $this->Refuelings;
    }
    /**
     * Set Refuelings value
     * @param \ArrayType\ArrayOfRefueling $refuelings
     * @return \StructType\Insert_Refuelings
     */
    public function setRefuelings(\ArrayType\ArrayOfRefueling $refuelings = null)
    {
        $this->Refuelings = $refuelings;
        return $this;
    }
}
